Subject: bug#43236: closed (Re: bug#43236: [PATCH emacs-guix] elisp: guix-set-emacs-environment: Also update Emacs' path.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Jan 2023 21:34:02 +0000

Your bug report

#43236: [PATCH emacs-guix] elisp: guix-set-emacs-environment: Also update Emacs' path.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43236: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=43236
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43236: [PATCH emacs-guix] elisp: guix-set-emacs-environment: Also update Emacs' path.
From: Janneke Nieuwenhuizen <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 16 Jan 2023 22:33:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Maxim Cournoyer writes:

Hi Maxim,

> "Jan (janneke) Nieuwenhuizen" <[email-masked]> writes:
>
>> This helps Geiser find the correct (environment's) Guile.
>> -;; Copyright © 2018 Jan (janneke) Nieuwenhuizen <[email-masked]>
>> +;; Copyright © 2018,2020 Jan (janneke) Nieuwenhuizen <[email-masked]>
>
> There's no use for a copyright line here as the change is not
> substantial enough (< 10 lines).

Ah...I guess I figured that we need copyright years to be updated in all
years the program is "released".  Oh well...

>> +        (when (equalp variable "PATH")
>> +          (setq exec-path (split-string value ":")))))))
>
> That's still useful with Emacs 28, right?  If you can confirm it, LGTM.

It's still useful...but also...I found this has already been installed
as

    commit d246b2c443bbb9d49575b63bb78c14699c4448cf
    elisp/misc: Update Emacs path if needed

and

    41fba4eec845e050be92bfe76c0f7980bbe821bd
    Fix the previous commit

Sorry for the noise...Closing.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com

Subject: [PATCH emacs-guix] elisp: guix-set-emacs-environment: Also update Emacs' path.
From: "Jan (janneke) Nieuwenhuizen" <[email-masked]>
To: [email-masked], Alex Kost <[email-masked]>
Date: Sun, 6 Sep 2020 10:46:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This helps Geiser find the correct (environment's) Guile.

* elisp/guix-misc.el (guix-set-emacs-environment): Set "exec-path"
when setting "PATH" variable.
---
 elisp/guix-misc.el | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/elisp/guix-misc.el b/elisp/guix-misc.el
index 6f79fe6..7e9c068 100644
--- a/elisp/guix-misc.el
+++ b/elisp/guix-misc.el
@@ -1,7 +1,7 @@
 ;;; guix-misc.el --- Miscellaneous definitions  -*- lexical-binding: t -*-
 
 ;; Copyright © 2014–2018 Alex Kost <[email-masked]>
-;; Copyright © 2018 Jan (janneke) Nieuwenhuizen <[email-masked]>
+;; Copyright © 2018,2020 Jan (janneke) Nieuwenhuizen <[email-masked]>
 
 ;; This file is part of Emacs-Guix.
 
@@ -242,7 +242,9 @@ If PROFILE is nil, use `guix-current-profile'."
               (value (if (and separator current-value)
                          (concat path separator current-value)
                        path)))
-        (setenv variable value)))))
+        (setenv variable value)
+        (when (equalp variable "PATH")
+          (setq exec-path (split-string value ":")))))))
 
 
 ;;; Executing guix commands
-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com